Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.bpm.config
Class BpmNamespaceHandler

    java.lang.Object
      org.springframework.beans.factory.xml.NamespaceHandlerSupport
          org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
              org.mule.module.bpm.config.BpmNamespaceHandler

All Implemented Interfaces:
  org.springframework.beans.factory.xml.NamespaceHandler

    public class BpmNamespaceHandler

extends AbstractMuleNamespaceHandler

Registers a Bean Definition Parsers for the "bpm" namespace.

Field Summary
`static String` | `JBPM_WRAPPER_CLASS` Allows simple configuration of jBPM from the generic "bpm" namespace.
`static String` | `PROCESS`

Fields inherited from class org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
`GLOBAL_ENDPOINT, INBOUND_ENDPOINT, logger, OUTBOUND_ENDPOINT`

Constructor Summary
`BpmNamespaceHandler()`

Method Summary
`void` | `init()`

Methods inherited from class org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
`getGlobalEndpointBuilderBeanClass, getInboundEndpointFactoryBeanClass, getOutboundEndpointFactoryBeanClass, registerConnectorDefinitionParser, registerConnectorDefinitionParser, registerIgnoredElement, registerMetaTransportEndpoints, registerMuleBeanDefinitionParser, registerStandardTransportEndpoints`

Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport
`decorate, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROCESS

    public static final String PROCESS

See Also:
  Constant Field Values

### JBPM_WRAPPER_CLASS

    public static final String JBPM_WRAPPER_CLASS

  Allows simple configuration of jBPM from the generic "bpm" namespace. Otherwise you would need to include both the "bpm" and "jbpm" namespaces in your config, which is not really justified.

  See Also:
    Constant Field Values

Constructor Detail

### BpmNamespaceHandler

    public BpmNamespaceHandler()

Method Detail

### init

    public void init()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.